﻿Imports ConsultaNet.BLL

Public Class frmConsulta
    Dim tipoCampo As Type
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim i As Integer
        Dim ds As New DataSet
        ds = ClienteBLL.getClientes("Select * from Clientes")
        cboCampo.Items.Clear()
        For i = 0 To ds.Tables(0).Columns.Count - 1
            cboCampo.Items.Add(ds.Tables(0).Columns(i).ColumnName.ToString)
        Next i
        Me.gdvConsulta.AutoGenerateColumns = True
        Me.gdvConsulta.DataSource = ds.Tables(0)
    End Sub

    Private Sub cboCampo_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboCampo.SelectedIndexChanged
        Dim ds As New DataSet

        tipoCampo = Me.gdvConsulta.Columns(cboCampo.SelectedIndex).ValueType

        If tipoCampo.ToString = "System.Int32" Then
            cboParametro.Items.Clear()
            cboParametro.Items.Add("=")
            cboParametro.Items.Add(">")
            cboParametro.Items.Add(">=")
            cboParametro.Items.Add("<")
            cboParametro.Items.Add("<=")
            cboParametro.Items.Add("<>")
        End If

        If tipoCampo.ToString = "System.String" Then
            cboParametro.Items.Clear()
            cboParametro.Items.Add("=")
            cboParametro.Items.Add("Começa com")
            cboParametro.Items.Add("Termina em")
            cboParametro.Items.Add("Contém")
        End If
    End Sub

    Private Sub frmConsulta_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
        If MessageBox.Show("Deseja fechar o formulário", "Fechar Form", MessageBoxButtons.YesNo, MessageBoxIcon.Hand) = Windows.Forms.DialogResult.No Then
            e.Cancel = True
        End If
    End Sub

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        Dim campo As String = cboCampo.Text
        Dim parametro As String = cboParametro.Text
        Dim valor As String = txtValor.Text
        Dim tipo As String = tipoCampo.ToString
        Dim ds As New DataSet

        If tipo = "System.String" Then
            If parametro = "Contém" Then
                parametro = "Like"
                valor = "'%" & valor & "%'"
            End If
            If parametro = "=" Then
                valor = "" & valor & ""
            End If
            If parametro = "Começa com" Then
                parametro = "Like "
                valor = "'" & valor & "%'"
            End If
            If parametro = "Termina em" Then
                parametro = "Like "
                valor = "'%" & valor & "'"
            End If
        End If

        ds = ClienteBLL.pesquisaClientes(campo, parametro, valor, tipo)
        Me.gdvConsulta.AutoGenerateColumns = True
        Me.gdvConsulta.DataSource = ds.Tables(0)
    End Sub
End Class
