﻿Imports System.Data
Imports System.Data.SqlClient

Namespace DAL
    Public Class AcessoBD

        Dim strConexao As String = My.Settings.conexaoBD

        Private Function openConexao() As SqlConnection
            Dim cn As New SqlConnection
            cn.ConnectionString = strConexao
            cn.Open()
            Return cn
        End Function
        Private Sub closeConexao(ByVal cn As SqlConnection)
            If cn.State = ConnectionState.Open Then
                cn.Close()
            End If
        End Sub
        Public Sub ExecuteComando(ByVal consulta As String)
            Dim cn As New SqlConnection()
            Try
                cn = openConexao()
                Dim cmdCommand As New SqlCommand
                With cmdCommand
                    .CommandText = consulta.ToString
                    .CommandType = CommandType.Text
                    .Connection = cn
                    .ExecuteNonQuery()
                End With
            Catch ex As Exception
                Throw
            Finally
                closeConexao(cn)
            End Try
        End Sub
        Public Function GetDataSet(ByVal consulta As String) As DataSet
            Dim cn As New SqlConnection()
            Try
                cn = openConexao()
                Dim cmdCommand As New SqlCommand
                With cmdCommand
                    .CommandText = consulta.ToString
                    .CommandType = CommandType.Text
                    .Connection = cn
                    .ExecuteNonQuery()
                End With
                Dim da As New SqlDataAdapter
                Dim ds As New DataSet
                With da
                    .SelectCommand = cmdCommand
                    .Fill(ds)
                End With
                Return ds
            Catch ex As Exception
                Throw
            Finally
                closeConexao(cn)
            End Try
        End Function
        Public Function GetDataReader(ByVal consulta As String) As SqlDataReader

            Dim cn As New SqlConnection()
            Try
                cn = openConexao()
                Dim cmdCommand As New SqlCommand
                With cmdCommand
                    .CommandText = consulta.ToString
                    .CommandType = CommandType.Text
                    .Connection = cn
                End With
                Return cmdCommand.ExecuteReader
            Catch ex As Exception
                Throw
            Finally
                closeConexao(cn)
            End Try
        End Function
        Public Function GetID(ByVal consulta As String) As Integer

            Dim cn As New SqlConnection()
            Try
                cn = openConexao()
                Dim cmdCommand As New SqlCommand
                With cmdCommand
                    .CommandText = consulta.ToString
                    .CommandType = CommandType.Text
                    .Connection = cn
                End With
                Dim dr As SqlDataReader
                dr = cmdCommand.ExecuteReader()
                Dim codigo As Integer
                If dr.Read() Then
                    codigo = dr(0) + 1
                End If
                Return codigo
            Catch ex As Exception
                Throw ex
            Finally
                closeConexao(cn)
            End Try
        End Function
        Public Function GetValor(ByVal consulta As String) As Decimal

            Dim cn As New SqlConnection()
            Try
                cn = openConexao()
                Dim cmdCommand As New SqlCommand
                With cmdCommand
                    .CommandText = consulta.ToString
                    .CommandType = CommandType.Text
                    .Connection = cn
                End With
                Dim dr As SqlDataReader
                dr = cmdCommand.ExecuteReader()
                Dim valor As Decimal
                If dr.Read() Then
                    valor = dr(0)
                End If
                Return valor
            Catch ex As Exception
                Throw ex
            Finally
                closeConexao(cn)
            End Try
        End Function
    
    End Class
End Namespace
